package com.isu.gaswellwatch.vo.command.etc;

import com.isu.gaswellwatch.dto.modbus.ModbusCommandDto;
import com.isu.gaswellwatch.vo.command.Command;

import java.io.Serial;
import java.util.Collection;
import java.util.List;

/**
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/12/15 12:18
 */
public class TimeFormat extends Command {

    @Serial
    private static final long serialVersionUID = -6432532154699093296L;

    public TimeFormat() {
        this.setCode("ETC.TIME_FORMAT");
    }

    @Override
    protected Collection<ModbusCommandDto> builderModbusCommand() {
        // 0:0007       Current Time Format         0-Seconds; 1-H:M:S
        // 01 05 00 06 FF 00 6C 3B
        return List.of(ModbusCommandDto.builder().command("01050006FF00").length(16).build());
    }

}
